%define anolis_release 2
%bcond_with tests
%bcond_with bootstrap
%if %{without bootstrap}
%bcond_without docs
%else
%bcond_with docs
%endif
%global pypi_name packaging

Name:           python-%{pypi_name}
Version:        23.0
Release:        %{anolis_release}%{?dist}
Summary:        Core utilities for Python packages
License:        BSD-2-Clause or Apache-2.0
URL:            https://github.com/pypa/%{pypi_name}
Source0:        https://github.com/pypa/%{pypi_name}/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel pyproject-rpm-macros
BuildRequires:  python3-tomli

%if %{with bootstrap}
BuildRequires:  python3-setuptools
%endif

%if %{with tests}
BuildRequires:  python3-pytest python3-pretend
%endif

%if %{with docs}
BuildRequires:  python3-sphinx
%endif

%description
Reusable core utilities for various Python Packaging interoperability
specifications.

This library provides utilities that implement the interoperability
specifications which have clearly one correct behaviour (eg: PEP 440) or
benefit greatly from having a single shared implementation (eg: PEP 425).

The packaging project includes the following: version handling, specifiers,
markers, requirements, tags, utilities.

%package -n python3-%{pypi_name}
Summary:        Core utilities for Python packages

%if %{with bootstrap}
Provides:       python3dist(%{pypi_name}) = %{version} python%{python3_version}dist(%{pypi_name}) = %{version}
Requires:       python(abi) = %{python3_version}
%endif

%description -n python3-%{pypi_name}
Reusable core utilities for various Python Packaging interoperability
specifications.

This library provides utilities that implement the interoperability
specifications which have clearly one correct behaviour (eg: PEP 440) or
benefit greatly from having a single shared implementation (eg: PEP 425).

The packaging project includes the following: version handling, specifiers,
markers, requirements, tags, utilities.

%if %{with docs}
%package -n python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
Documentation fliles for python3-%{pypi_name}.
%endif

%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed -i '/html_theme = "furo"/d' docs/conf.py

%if %{without bootstrap}
%generate_buildrequires
%pyproject_buildrequires -r
%endif

%build
%if %{with bootstrap}
%py3_build
%else
%pyproject_wheel
%endif

%if %{with docs}
sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo} html/_static/fonts/
%endif

%install
%if %{with bootstrap}
%py3_install
echo '%{python3_sitelib}/%{pypi_name}*' > %{pyproject_files}
%else
%pyproject_install
%pyproject_save_files %{pypi_name}
%endif

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*

%if %{with docs}
%files -n python3-%{pypi_name}-doc
%doc html README.rst CHANGELOG.rst CONTRIBUTING.rst
%endif

%changelog
* Tue Apr 11 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 23.0-2
- Optimize the spec file

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 23.0-1
- update to 23.0

* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 22.0-1
- update to version 22.0

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 21.3-1
- init from upstream
